<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-238 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;"  bgcolor="#4C667A">
<center>
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/bg.gif);background-repeat: repeat-x;background-position: left top;">
  <tr>
    <td align="left" valign="top">
	<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td width="41" height="16"><img src="images/001.gif" width="41" height="5"/></td>
        <td width="232" valign="top"></td>
        <td><img src="images/001.gif" width="100%" height="5"/></td>
        <td width="42"><img src="images/001.gif" width="41" height="5"/></td>
      </tr>
      <tr>
        <td rowspan="3" valign="top"></td>
        <td height="100" align="center">
		  <table width="232" height="100" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td align="right" background="images/logo_bg.gif">
			<table width="200"  border="0"  cellpadding="0" cellspacing="0">
                <tr>
                  <td align="center" style="padding-bottom:7px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                </tr>
                <tr>
                  <td align="center" class="company" style="padding-right:5px;padding-left:5px;"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
                  </td>
                </tr>
            </table>
			</td>
          </tr>
        </table></td>
        <td valign="bottom">
		<table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td height="67" bgcolor="#EAEAEA" style="border-bottom:#ffffff 6px solid;border-top:#ffffff 6px solid;border-right:#ffffff 6px solid ">
			<table height="55"  border="0" align="center" cellpadding="0" cellspacing="0">
                <tr>
<xsl:call-template name="TOP-MENU"/>
                  </tr>
            </table></td>
          </tr>
        </table></td>
        <td rowspan="3"></td>
      </tr>
      <tr>
        <td height="194" align="left" background="images/header01.jpg">
		  <table width="210"  border="0" cellpadding="0" cellspacing="0">
          <tr>
		  <td style="width: 20px;"></td>
            <td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
          </tr>
        </table>
		</td>
        <td align="left" background="images/header02.jpg" style="border-right:#ffffff 6px solid;"><div align="left"><img src="images/header.jpg" width="461" height="194"/></div></td>
        </tr>
      <tr>
        <td align="center" valign="top" background="images/submenu_bg.gif" style="border-top:#ffffff 6px solid;border-bottom:#ffffff 6px solid">
		<table width="143" border="0" cellspacing="0" cellpadding="0" style="margin-bottom:10px ">
          <tr>
            <td>
			<table width="100%" border="0" cellpadding="0" cellspacing="0" style="margin-bottom:10px ">
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                </table>
                </td>
          </tr>
        </table></td>
        <td height="100%" valign="top" bgcolor="#EAEAEA" style="border-bottom:#ffffff 6px solid;border-top:#ffffff 6px solid;border-right:#ffffff 6px solid ">
		<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="100%" align="left" valign="top" bgcolor="#EAEAEA" class="pageContent" style="padding: 25px;" name="SB_stretch">
			<!-- CONTENT -->
                <table cellpadding="0" cellspacing="0" border="0">
                  <tr>
                    <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                    <td style="padding-left: 5px;"><img src="images/txtheader_bullet.gif" border="0" alt=""/></td>
                  </tr>
                </table>
                <div style="width:0px; height:15px;"><span></span></div>
               <xsl:apply-templates select="PAGE-CONTENT"/>
                <!-- END CONTENT -->
            </td>
          </tr>

        </table></td>
      </tr>
      <tr>
        <td></td>
        <td height="55" colspan="2" bgcolor="#EAEAEA" style="border-bottom:#ffffff 6px solid;border-left:#ffffff 6px solid;border-right:#ffffff 6px solid "><table border="0" align="center" cellpadding="0" cellspacing="0">
          <tr align="center">
<xsl:call-template name="BOTTOM-MENU"/>
            </tr>
        </table></td>
        <td></td>
      </tr>
      <tr>
        <td height="40"></td>
        <td colspan="2"><table width="500"  border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td class="footer"><div align="center"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
</div></td>
          </tr>
        </table></td>
        <td></td>
      </tr>
    </table></td>
    </tr>
</table>
</center>
</body>
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
<tr>
<td class="amenu" style="border-bottom:#E5E5E5 1px solid"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
<td style="border-bottom:#E5E5E5 1px solid"><div align="right"><img src="images/submenu_bullet.gif" width="7" height="5" vspace="10"/></div></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
<tr>
<td class="menu" style="border-bottom:#E5E5E5 1px solid"><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
<td style="border-bottom:#E5E5E5 1px solid"><div align="right"><img src="images/submenu_bullet.gif" width="7" height="5" vspace="10"/></div></td>
</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
        <td class="amenu"><a href="{@HREF}" class="amenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
        <td class="menu"><a href="{@HREF}" class="menu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
            <td style="padding-left:10px;padding-right:10px;"><img src="images/footer.gif" alt="" width="6" height="6" hspace="6"/></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
