<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- av-249 -->
    <head>
	<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
	</title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
<body MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0" >
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr align="left" valign="top">
    <td height="203" colspan="3" background="images/headerbg.jpg">
	<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/header.jpg);background-repeat: no-repeat;background-position: left top;">
      <tr>
        <td align="left" valign="top"><table width="780" border="0" cellpadding="0" cellspacing="0" >
          <tr align="center">
            <td colspan="2" class="slogan" style="padding-bottom:25px"><img src="images/space.gif" width="500" height="40"/></td>
            <td align="left" class="slogan" style="padding-bottom:25px"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
          </tr>
          <tr>
            <td width="76"></td>
            <td align="right"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
            <td align="center" class="company"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td height="50" align="left" valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="5"><img src="images/space.gif" width="5" height="50"/></td>
            <td align="center"><img src="images/space.gif" width="230" height="20"/>
              <table height="45"  border="0" align="center" cellpadding="0" cellspacing="0">
              <tr>
              <xsl:call-template name="TOP-MENU"/>
              </tr>
            </table></td>
            <td width="5"><img src="images/space.gif" width="5" height="50"/></td>
          </tr>
        </table></td>
      </tr>
    </table>
    </td>
  </tr>
  <tr>
    <td height="100%" rowspan="2" valign="top" background="images/txtheader_bg01.gif"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td height="100%" valign="top" class="pageContent" style="padding: 25px;"><!-- CONTENT -->
              <table cellpadding="0" cellspacing="0" border="0">
                <tr>
                  <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                  <td style="padding-left: 5px;"><img src="images/txtheader_bullet.gif" border="0" alt=""/></td>
                </tr>
              </table>
              <div style="width:0px; height:15px;"><span></span></div>
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
<tr>
<td align="left" valign="top" class="pageContent" name="SB_stretch">
	<xsl:apply-templates select="PAGE-CONTENT"/>
</td>
</tr>
</table>
          </td>
        </tr>
    </table>
    <br/>
    <img src="images/space.gif" width="550" height="10"/></td>
    <td width="1" height="36" valign="top" background="images/bg.gif" ><img src="images/txtheader_bg02.gif" width="1" height="36"/></td>
    <td width="231" rowspan="2" valign="top" background="images/txtheader_bg01.gif" ><br/>
      <table width="171" border="0" align="center" cellpadding="0" cellspacing="0">
          <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
      </table></td></tr>
  <tr>
    <td valign="bottom" background="images/bg.gif" ><img src="images/txtheader_bg.gif" width="1" height="36"/></td>
  </tr>
  <tr>
    <td height="60" colspan="3"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="200" height="70" align="center" background="images/footer_bg01.gif"><table width="200" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
              </tr>
          </table></td>
          <td width="89"><img src="images/footer_bg03.gif" width="89" height="70"/></td>
          <td align="center" valign="middle" background="images/footer_bg02.gif"><table border="0" cellpadding="0" cellspacing="0">
              <tr align="center">
                <xsl:call-template name="BOTTOM-MENU"/>
              <td><img src="images/space.gif" width="10" height="20"/></td>
              </tr>
          </table></td>
        </tr>
    </table></td>
  </tr>
</table>
</body>
	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
<tr>
<td class="submenu">
<span class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span>
</td>
<td><img src="images/submenu_bullet.gif" width="9" height="5"/></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
<tr>
<td class="submenu">
<a href="{@HREF}" class="submenu"> 
<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
</a>
</td>
<td><img src="images/submenu_bullet.gif" width="9" height="5"/></td>
</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
<tr>
<td colspan="2"><img src="images/submenu_bg.gif" width="171" height="1"/></td>
</tr>
	</xsl:if>
</xsl:template>	
<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
		<td class="bmenua"><a href="{@HREF}" class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
		<td class="bmenu"><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
		<td><img src="images/footer.gif" width="7" height="7" hspace="4"/></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>

<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
