<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
<!-- eug-18 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main_bg.gif"><tr><td>
        <TABLE WIDTH="780" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" bgcolor="White">
        	<TR>
        		<TD height="83" align="center" width="194">
        		<!-- TOP -->
        			<table cellpadding="0" cellspacing="0" style="margin-bottom: 5px;">
        				<tr><td><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td><td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
        				<tr><td></td><td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
        			</table>
        		<!-- END TOP -->
        		</TD>
        		<TD align="right" width="586">
        		<!-- MENU -->

        			<!-- CALL TOP-MENU-->
        			<xsl:call-template name="TOP-MENU"/>

        		<!-- END MENU -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" height="251" valign="top" width="780" style="background-image: url('images/header.jpg'); background-repeat: no-repeat;">
        		<!-- HEADER -->        			
        		<!-- END HEADER -->
        		</TD>
        	</TR>
        	<TR>
        		<TD height="100%" width="194" align="right" valign="top">
        		<!-- SUBMENU -->

     				<!-- CALL SUB-MENU-->
     				<xsl:call-template name="SUB-MENU">
     					<xsl:with-param name="pageID" select="@ID"/>
     				</xsl:call-template>

        		<!-- END SUBMENU -->
        		</TD>
        		<TD width="586" valign="top">
        		<!-- CONTENT -->
				<table cellpadding="0" cellspacing="0" border="0" style="width: 100%;">
					<tr>
						<td class="text-header" style="padding: 0px 110px 20px 100px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					</tr>
					<tr>
						<td class="text" style="padding: 0px 110px 30px 100px;"><xsl:apply-templates select="PAGE-CONTENT"/></td>
					</tr>
				</table>
        		<!-- END CONTENT -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" width="780" valign="top">	
        			<table width="780" cellpadding="0" cellspacing="0" border="0">
        				<tr>
        					<td width="130" height="112" rowspan="2"><img src="images/bbg.jpg"/></td>
        					<td width="650" height="20"></td>
        				</tr>
        				<tr>
        					<td height="92" bgcolor="#1975BA" valign="top">
								<table cellpadding="0" cellspacing="0" height="92" width="650">
									<tr><td height="50%"></td></tr>
									<tr>
										<td>
											<!-- FOOTER -->
				        						<div style="float: left;" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
				        					<!-- END FOOTER -->				
				        					<!-- BOTTOM MENU -->		
				        						<div style="float: right;">
				
							    					<!--CALL BOTTOM-MENU -->
				    								<xsl:call-template name="BOTTOM-MENU"/>
				
				        						</div>
				        					<!-- END BOTTOM MENU -->			
										</td>
									</tr>
									<tr><td height="50%"></td></tr>
								</table>
        					</td>
        				</tr>
        			</table>
        		</TD>
        	</TR>
        	<TR><TD colspan="2" height="10"><div style="width:1px; height:1px;"><spacer type="block" width="1" height="1" /></div></TD></TR>
        </TABLE>
		</td></tr></table>
        </BODY>
		</html>

	</xsl:template>


	<!-- TOP-MENU -->
	<xsl:template name="TOP-MENU">
   		<table cellpadding="0" cellspacing="0" style="margin-right: 30px;">
   			<tr>
				<xsl:apply-templates select="MENU" mode="top"/>			
   			</tr>
   		</table>
	</xsl:template>


	<!-- SUB-MENU --> 
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
     			<table cellpadding="0" cellspacing="0" width="160" border="0">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
     			<table cellpadding="0" cellspacing="0" width="160" border="0">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
			<xsl:otherwise>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<!--BOTTOM-MENU-->

	<xsl:template name="BOTTOM-MENU">
		<xsl:apply-templates select="MENU" mode="bottom"/>			
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
		<table cellpadding="0" cellspacing="0" style="margin-right: 15px;">
			<tr>
				<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
   			</tr>
   		</table>
	</xsl:template>

	<xsl:template match="MENU-ITEM"  mode="bottom">
			<xsl:choose>
            <!-- when vizited inside-->
            	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
  					<td style="padding: 0px 15px 0px 15px;"><b><a href="{@HREF}" class="bmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></b></td>
                </xsl:when>
                <!-- when active-->
                
                <xsl:otherwise>
  					<td style="padding: 0px 15px 0px 15px;"><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                </xsl:otherwise>
            </xsl:choose>
			<xsl:if test="position()!=last()">
				<td width="1" bgcolor="white"><div style="width:1px; height:1px;"><spacer type="block" width="1" height="1" /></div></td>
			</xsl:if>
	</xsl:template>

	
	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
